---
title: Text
slug: Web/API/Text
tags:
  - API
  - DOM
  - Interface
  - Reference
---
<div>{{ApiRef("DOM")}}</div>

<p><span class="seoSummary">The <strong><code>Text</code></strong> interface represents the textual content of {{domxref("Element")}} or {{domxref("Attr")}}. </span></p>

<p>If an element has no markup within its content, it has a single child implementing <code>Text</code> that contains the element's text. However, if the element contains markup, it is parsed into information items and <code>Text</code> nodes that form its children.</p>

<p>New documents have a single <code>Text</code> node for each block of text. Over time, more <code>Text</code> nodes may be created as the document's content changes. The {{domxref("Node.normalize()")}} method merges adjacent <code>Text</code> objects back into a single node for each block of text.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Methods">Constructor</h2>

<dl>
 <dt>{{domxref("Text.Text", "Text()")}} {{experimental_inline}}</dt>
 <dd>Returns a <code>Text</code> node with the parameter as its textual content.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("CharacterData")}}.</em></p>

<dl>
 <dt>{{domxref("Text.isElementContentWhitespace")}} {{readonlyInline}}{{ obsolete_inline() }}</dt>
 <dd>
 <p>Returns a {{domxref("Boolean")}} flag indicating whether or not the text node contains only whitespace.</p>
 </dd>
 <dt>{{domxref("Text.wholeText")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} containing the text of all <code>Text</code> nodes logically adjacent to this {{domxref("Node")}}, concatenated in document order.</dd>
 <dt>{{domxref("Text.assignedSlot")}} {{readonlyinline}}</dt>
 <dd>Returns the {{domxref("HTMLSlotElement")}} object associated with the element.</dd>
</dl>

<h3 id="Properties_included_from_Slotable">Properties included from Slotable</h3>

<p><em>The <code>Text</code> interface includes the following property, defined on the {{domxref("Slotable")}} mixin.</em></p>

<dl>
 <dt>{{domxref("Slotable.assignedSlot")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("HTMLSlotElement")}} representing the {{htmlelement("slot")}} the node is inserted in.</dd>
</dl>

<h2 id="Methods_2">Methods</h2>

<p><em>Inherits methods from its parent, {{domxref("CharacterData")}}.</em></p>

<dl>
 <dt>{{domxref("Text.replaceWholeText")}} {{obsolete_inline}}</dt>
 <dd>Replaces the text of the current node and all logically adjacent nodes with the specified text.</dd>
</dl>

<dl>
 <dt><span class="internal">{{domxref("Text.splitText")}}</span></dt>
 <dd>Breaks the node into two nodes at a specified offset.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#text', 'Text')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Removed the <code>isElementContentWhitespace</code> property.<br>
    Removed the <code>replaceWholeText()</code> method.<br>
    Added the <code>Text()</code> constructor.<br>
    Added the <code>assignedSlot</code> property.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Core', 'core.html#ID-1312295772', 'Text')}}</td>
   <td>{{Spec2('DOM3 Core')}}</td>
   <td>Added the <code>isElementContentWhitespace</code> and <code>wholeText</code> properties.<br>
    Added the <code>replaceWholeText()</code> method.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Core', 'core.html#ID-1312295772', 'Text')}}</td>
   <td>{{Spec2('DOM2 Core')}}</td>
   <td>No change from {{SpecName('DOM1')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-core.html#ID-1312295772', 'Text')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Text")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Document_Object_Model" title="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a>.</li>
</ul>
